###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2006 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################
%define cman_major 2
%define cman_minor 0.115

%define my_requires %{_builddir}/my_requires
%define _use_internal_dependency_generator 0

%define buildxen 0

%ifarch i386 x86_64 ia64
%define buildxen 1
%endif

Name: cman
Version: %{cman_major}.%{cman_minor}
Release: 1%{?dist}.9
License: GPL
Group: System Environment/Base
Summary: cman - The Cluster Manager
Obsoletes: fence ccs dlm
Requires: kernel >= 2.6.18-36.el5
#BuildRequires: kernel >= 2.6.16
BuildRequires: glibc-kernheaders
BuildRequires: libxml2-devel
BuildRequires: openais-devel openais
BuildRequires: kernel-headers

%if %{buildxen}
BuildRequires: nss-devel nspr-devel libvirt-devel xen-libs
#Requires: nss nspr libvirt xen xen-libs
%endif

Conflicts: GFS <= 6.0
Conflicts: GFS-modules
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires: openais
Requires: pexpect
URL: http://sources.redhat.com/cluster/
Source0: %{name}-%{version}.tar.gz
Patch0: cman-2.0.5-libraryfix.patch
Patch1: cman-makefix.patch
Patch2: cman-plocktemp.patch
Patch3: cman-2.0.14-defaultrun.patch
Patch4: dlm_plock.patch
Patch5: bz518061.patch
Patch6: bz520823.patch
Patch7: ipmi_power_fencing.patch
Patch8: scsi_reserve_handle_failure.patch
Patch9:	scsi_reserve_init_script_report.patch
Patch10: scsi_reserve_handle_failure.part2.patch
Patch11: scsi_reserve_handle_multipath_partitions.patch
Patch12: scsi_reserve_fix_partition_regex.patch
Patch13: qdisk_dont_wake_hang_check_timer_twice.patch
Patch14: fence_ipmilan_fix_uninitialised_read.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
cman - The Cluster Manager

%package devel
Group: Development/Libraries
Summary: cman cluster manager development package
Requires: cman = %{version}-%{release}

%description devel
cman - The Cluster Manager

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .libraryfix
%patch1 -p1 -b .makefix
%patch2 -p1 -b .plock
%patch3 -p1 -b .defaultrun
%patch4 -p1 -b .dlm_plock
%patch5 -p1 -b .bz518061
%patch6 -p1 -b .bz520823
%patch7 -p1 -b .ipmi_power_fencing
%patch8 -p1 -b .scsi_reserve_handle_failure
%patch9	-p1 -b .scsi_reserve_init_script_report
%patch10 -p1 -b .scsi_reserve_handle_failure.part2
%patch11 -p1 -b .scsi_reserve_handle_multipath_partitions
%patch12 -p1 -b .scsi_reserve_fix_partition_regex
%patch13 -p1 -b .qdisk_dont_wake_hang_check_timer_twice
%patch14 -p1 -b .fence_ipmilan_fix_uninitialised_read

%{__cat} <<EOF >%{my_requires}
#!/bin/sh
%{__find_requires} | grep -v '^libvirt'
exit 0
EOF
chmod +x %{my_requires}
%define __find_requires %{my_requires}

%build
TOPDIR=`pwd`

cd ccs ; ./configure --libdir=%{_libdir}; cd ..
cd dlm ; ./configure --kernel_src=/usr/ --libdir=%{_libdir}; cd ..
cd cman; ./configure --ccsincdir=${TOPDIR}/ccs/lib --ccslibdir=${TOPDIR}/ccs/lib --libdir=%{_libdir}  ; cd ..
cd group; ./configure --kernel_src=/usr/ --libdir=%{_libdir} --cmanlibdir=${TOPDIR}/cman/lib; cd ..

%if %{buildxen}
cd fence; ./configure --enable_xen --ccslibdir=${TOPDIR}/ccs/lib --ccsincdir=${TOPDIR}/ccs/lib --cmanincdir=${TOPDIR}/cman/lib --libdir=%{_libdir}; cd ..
%else
cd fence; ./configure --ccslibdir=${TOPDIR}/ccs/lib --ccsincdir=${TOPDIR}/ccs/lib --cmanincdir=${TOPDIR}/cman/lib --libdir=%{_libdir}; cd ..
%endif

ls -l /usr/lib/
ls -l /

for dir in ccs cman dlm fence group; do
  cd $dir
  sed -i '/RELEASE_MAJOR/s/= .*/= %{cman_major}/' make/defines.mk
  sed -i '/RELEASE_MINOR/s/= .*/= %{cman_minor}/' make/defines.mk
  sed -i '/RELEASE /s/= .*/= %version/' make/defines.mk
  cd ..
done


for dir in 'cman/lib' ccs cman dlm group fence; do
  cd $dir
  make
  cd $TOPDIR
done

%install
TOPDIR=`pwd`
rm -rf $RPM_BUILD_ROOT
for dir in ccs cman dlm fence group; do
  cd $dir
  make install DESTDIR=$RPM_BUILD_ROOT
  cd $TOPDIR
done

mkdir -p $RPM_BUILD_ROOT/etc/rc.d
mv -f $RPM_BUILD_ROOT/etc/init.d $RPM_BUILD_ROOT/etc/rc.d/
mkdir -p $RPM_BUILD_ROOT/var/run/cluster
mkdir -p $RPM_BUILD_ROOT/etc/cluster

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add cman
/sbin/chkconfig --add scsi_reserve
/sbin/chkconfig --add qdiskd

%preun
if [ "$1" = 0 ]; then
	/sbin/chkconfig --del cman
	/sbin/chkconfig --del scsi_reserve
	/sbin/chkconfig --del qdiskd
fi

%files
%defattr(-,root,root,-)
/sbin/*
/usr/sbin/*
/usr/lib/fence
/usr/lib/fence/*
/etc/rc.d/init.d/*
/usr/libexec/*
/etc/udev/rules.d/51-dlm.rules
%{_libdir}/*.so*
%{_mandir}/*/*
/usr/share/snmp/mibs/powernet369.mib
%dir /var/run/cluster
%dir /etc/cluster

%files devel
%defattr(-,root,root,-)
/usr/include/*
%{_libdir}/*.a

%changelog
* Tue Nov 17 2009 Christine Caulfield <ccaulfie@redhat.com> - 2.0.115-1.el5_4.9
- Fix fence_ipmilan read from unitialized memory
- Resolves: rhbz#537152

* Tue Nov 17 2009 Christine Caulfield <ccaulfie@redhat.com> - 2.0.115-1.el5_4.8
- qdiskd: Make qdiskd stop crying wolf
- Resolves: rhbz#537157

* Mon Nov 16 2009 Christine Caulfield <ccaulfie@redhat.com> - 2.0.115-1.el5_4.7
- scsi_reserve: fix error in regular expression
- Resolves: rhbz#529712

* Fri Nov 13 2009 Christine Caulfield <ccaulfie@redhat.com> - 2.0.115-1.el5_4.6
- scsi_reserve: Always call echo after calling failure.  
- scsi_reserve: Handle partitions with multipath in scsi_reserve script.
- Resolves: rhbz#529712 rhbz#530400

* Tue Oct 3 2009 Christine Caulfield <ccaulfie@redhat.com> - 2.0.115-1.el5_4.5
- scsi_reserve init script now reports errors correctly.
- Resolves: rhbz#530400

* Fri Sep 29 2009 Christine Caulfield <ccaulfie@redhat.com> - 2.0.115-1.el5_4.4
- scsi_reserve now handles failures
- Resolves: rhbz#529712

* Tue Sep 29 2009 Christine Caulfield <ccaulfie@redhat.com> - 2.0.115-1.el5_4.3
- Support for power cycle in fence ipmi
- Resolves: rhbz#522529

* Mon Sep 2 2009 Christine Caulfield <ccaulfie@redhat.com> - 2.0.115-1.el5_4.2
- fence_scsi support for 2 node clusters
- Resolves: rhbz#520823

* Mon Aug 19 2009 Christine Caulfield <ccaulfie@redhat.com> - 2.0.115-1.el5_4.1
- Fix a situation where cman could kill the wrong nodes
- Resolves: rhbz#518061

* Wed Aug 05 2009 Chris Feist <cfeist@redhat.com> - 2.0.115-1
- RSA II fencing agent has been fixed.
- Resolves: rhbz#493802

* Mon Aug 03 2009 Chris Feist <cfeist@redhat.com> - 2.0.114-1
- local variable 'verbose_filename' referenced before assignment has been fixed
- RSA II fencing agent has been fixed.
- Resolves: rhbz#493802 rhbz#514758

* Tue Jul 28 2009 Chris Feist <cfeist@redhat.com> - 2.0.113-1
- Limitations with 2-node fence_scsi are now properly documented in the man
  page.
- Resolves: rhbz#512998

* Mon Jul 27 2009 Chris Feist <cfeist@redhat.com> - 2.0.112-1
- The pexpect exception is now properly checked in fence agents.
- Resolves: rhbz#501586

* Fri Jul 22 2009 Chris Feist <cfeist@redhat.com> - 2.0.111-1
- cman_tool leave remove does now properly reduces quorum.
- Resolves: rhbz#505258

* Fri Jun 25 2009 Chris Feist <cfeist@redhat.com> - 2.0.110-1
- Updated fence_lpar man page to remove options that do not yet exist.
- Resolves: rhbz#498045

* Thu Jun 18 2009 Chris Feist <cfeist@redhat.com> - 2.0.108-1
- A semaphore leak in cman has been fixed.
- Resolves: rhbz#505594

* Tue Jun 16 2009 Chris Feist <cfeist@redhat.cmo> - 2.0.107-1
- Added man page for lpar fencing agent (fence_lpar). 
- Resolves: rhbz#498045

* Mon Jun 15 2009 Chris Feist <cfeist@redhat.cmo> - 2.0.106-1
- The lssyscfg command can take longer than the shell timeout which will
  cause fencing to fail, we now wait longer for the lssyscfg command to
  complete.
- Resolves: rhbz#504705

* Mon Jun 08 2009 Chris Feist <cfeist@redhat.com> - 2.0.105-1
- The fencing agents no longer fail with pexpect exceptions.
- Resolves: rhbz#501586

* Tue Jun 02 2009 Chris Feist <cfeist@redhat.com> - 2.0.104-1
- Broadcast communcations are now possible with cman
- fence_lpar can now login to IVM systems
- Resolves: rhbz#502674 rhbz#492808

* Thu May 21 2009 Chris Feist <cfeist@redhat.com> - 2.0.103-1
- fence_apc no longer fails with a pexpect exception
- symlink vulnerabilities in fance_apc_snmp were fixed
- The virsh fencing agent was added.
- Resolves: rhbz#496629 rhbz#498952 rhbz#501586

* Wed May 20 2009 Chris Feist <cfeist@redhat.com> - 2.0.102-1
- Correct return code is checked during disk scanning check.
- Resolves: rhbz#484956

* Wed May 13 2009 Chris Feist <cfeist@redhat.com> - 2.0.101-1
- The SCSI fence agent now verifies that sg_persist is installed properly.
- The DRAC5 fencing agent now properly handles a modulename.
- QDisk now logs warning messages if it appears it's I/O to shared storage
  is hung.
- Resolves: rhbz#496724 rhbz#500450 rhbz#500567

* Tue May 12 2009 Chris Feist <cfeist@redhat.com> - 2.0.100-1
- Support has been added for ePowerSwitch 8+ devices
- cluster.conf files can now have more than 52 entries inside a block inside
  the <cman> block
- The output of the group_tool dump sub commands are no longer NULL padded.
- Using device="" instead of label="" no longer causes qdiskd to incorrectly
  exit
- The IPMI fencing agent has been modified to timeout after 10 seconds.  It is
  also now possible to specify a different timeout with the '-t' option.
- The IPMI fencing agent now allows punctuation in the password
- Quickly starting and stopping the cman service no longer causes the cluster
  membership to become inconsistent across the cluster
- An issue with lock syncing causing 'receive_own from ...' errors in syslog
  has been fixed
- An issue which caused gfs_controld to segfault when mounting hundreds of
  filesystems has been fixed
- The LPAR fencing agent now properly reports status when an LPAR is in
  Open Firmware
- The APC SNMP fencing agent now properly recognizes outletStatusOn and
  outletStatusOff returns codes from the SNMP agent
- WTI Fencing agent can now connect to fencing devices with no password
- The rps-10 fencing agent now properly performs a reboot when run with no
  options.
- The IPMI fencing agent now supports different cipher types with the '-C'
  option
- Qdisk now properly scans devices and partitions
- Added support for LPAR/HMC v3
- cman now checks to see if a new node has state to prevent killing the first
  node during cluster setup
- service qdiskd start now works properly
- The McData fence agent now works properly with the Sphereon 4500 model
- The Egenera fence agent can now specify an ssh login name
- APC Fence agent works with non-admin accounts with firmware 3.5.x
- fence_xvmd now tries two methods to reboot a virtual machine
- Connections to openais are now allowed from unprivileged CPG clients with
  user and group of 'ais'
- Support has been added for Cisco 9124/9134 SAN switches
- groupd no longer allows the default fence domain to be '0' which would cause
  rgmanager to hang
- The RSA fence agent now supports ssh enabled RSA II devices
- DRAC fence agent now works with iDRAC on the Dell M600 Blade Chassis
- fence_drac5 now shows proper usage instructions
- cman no longer uses the wrong node name when getnameinfo() fails
- The SCSI fence agent now verifies that sg_persist is installed properly
- Resolves: rhbz#467112 rhbz#468966 rhbz#470318 rhbz#276541 rhbz#447964 rhbz#472786 rhbz#474163 rhbz#480401 rhbz#481566 rhbz#484095 rhbz#481664 rhbz#322291 rhbz#447497 rhbz#484956 rhbz#485700 rhbz#485026 rhbz#485199 rhbz#470983 rhbz#488958 rhbz#487501 rhbz#491640 rhbz#480178 rhbz#485469 rhbz#480836 rhbz#493207 rhbz#493802 rhbz#462390 rhbz#498329 rhbz#488565 rhbz#499871

* Wed Dec 03 2008 Chris Feist <cfeist@redhat.com> - 2.0.98-1
- Fixed failures with python telnet fencing agent.
- Resolves: rhbz#469066

* Mon Nov 10 2008 Chris Feist <cfeist@redhat.com> - 2.0.97-1
- Qdiskd no longer exits when using device=''
- Resolves: rbhz#470553

* Mon Nov 06 2008 Chris Feist <cfeist@redhat.com> - 2.0.96-1
- WTI fencing agent no longer powers off/on power if it is unable to get
  status.
- Resolves: rhbz#468904

* Mon Oct 20 2008 Chris Feist <cfeist@redhat.com> - 2.0.95-1
- Fix fence_xvmd trying to read wrong args from ccs

* Mon Sep 29 2008 Chris Feist <cfeist@redhat.com> - 2.0.94-1
- Fix for apc fence agent to properly set the default switch to '1'.
- Resolves: rhbz#290231

* Thu Sep 18 2008 Chris Feist <cfeist@redhat.com> - 2.0.93-1
- Fixed issue with fence_scsi failing to clear the key_list after use.
- Resolves: rhbz#462628

* Mon Sep 15 2008 Chris Feist <cfeist@redhat.com> - 2.0.92-1
- We now install the vmware fence agents properly.

* Mon Sep 15 2008 Chris Feist <cfeist@redhat.com> - 2.0.90-1
- Updated groupd manpage with information about '-s' option.

* Thu Sep 11 2008 Chris Feist <cfeist@redhat.com> - 2.0.89-1
- Fixed issue with fence_apc failing with a pexpect exception.
- Added fence agent for VMware ESX.
- Additional logging information has been added by fence_scsi.
- groupd now detects dead daemons and removes their nodes from the cluster.
- A network interface selection option has been added for fence_xvmd.
- Resolves: rhbz#460054 rhbz#251048 rhbz#460909 rhbz#318571 rhbz#457104

* Fri Sep 05 2008 Chris Feist <cfeist@redhat.com> - 2.0.88-1
- Fix cman_tool nodes -a.
- nolock gfs filesystems are ignored in the groupd startup.
- skip_undefined option added for fenced.
- groupd improved to better handle upgrades.
- man pages for fence agents have been updated.
- LPAR/HMC fence agent updated to fix state detection.
- New option added to fence_tool to delay before join.
- fence_tool -m option has been added for 2 node clusters.
- group_tool ls is now scriptable.
- Fixed qdiskd file descriptor leak.
- qdiskd can no longer updated cman if the disk is unavailable.
- qdisk no longer freezes cluster when FC cable is unplugged
- Resolves: rhbz#454401 rhbz#315741 rhbz#459127 rhbz#457104 rhbz#448043 rhbz#460190 rhbz#460190 rhbz#459754 rhbz#459678 rhbz#460645 rhbz#460937 rhbz#442541

* Thu Jul 31 2008 Chris Feist <cfeist@redhat.com> - 2.0.87-3
- An option to the init script has been added to prevent joining to the fence
  domain.
- stop_cman="1" now works if heuristics fail during initialization.
- qdiskd now works with block devices which are not in /proc/partitions
- Quorum device info can now be displayed with 'cman_tool status'.
- A dirty node is now prevented from joining the cman cluster.
- A bug which caused "Node X is undead" error messages to be printed is fixed.
- When groupd starts up it now ignores nolock file systems.
- cman is now only notified that a fence has occured when all devices have completed
  successfully.
- plocks are now read from dlm or lock_dlm.
- Support for a 24-port APC fencing device has been added.
- gfs_controld now ignores the write(2) return value on plock devices.
- Several infinite loops were fixed.
- gfs_controld now retries recovery for a withdrawn journal.
- apc_snmp fence agent has been added.
- Resolves: rhbz#455598 rhbz#455865 rhbz#362031 rhbz#443358 rhbz#442541 rhbz#315741 rhbz#456403 rhbz#450169 rhbz#444615 rhbz#446128 rhbz#444529 rhbz#442451 rhbz#438905

* Tue Apr 15 2008 Chris Feist <cfeist@redhat.com> - 2.0.84-1
- fence_node no longer always fails (and usually segfaults)
- Resolves: rhbz#441737

* Fri Mar 28 2008 Chris Feist <cfeist@redhat.com> - 2.0.83-1
- fence_apc_snmp fence agent is now installed
- Resolves: rhbz#438905

* Mon Mar 24 2008 Chris Feist <cfeist@redhat.com> - 2.0.81-1
- cman now starts correctly when additional params are given to network-bridge 
- fencde admin override now updates cman
- qdisk master abdication now works properly
- groupd no longer processes messages from dead nodes
- dlm no longer complains about closing a connection to node 0 when shutting
  down qdisk
- Resolves: rhbz#434790 rhbz#435189 rhbz#430264 rhbz#436984 rhbz#437496 rhbz#315711

* Thu Jan 24 2008 Chris Feist <cfeist@redhat.com> - 2.0.80-1
- gfs_tool now recognizes GFS files sytems on ppc
- Fixed alignment problem with ppc64
- Prevent "reservation conflict" messages when scsi_reserve starts.
- Leave the fence domain if scsi_reserve fails to register with any device.
- Improve logging in scsi_reserve script.
- Use "locking_type = 0" for all lvm commands (ie. vgs).
- Fix SCSI reservations scripts to handle LVM mirrors and stripes.
- Not an error if fence_scsi attempts to remove a non-existent key from a
  device.
- Resolves: rhbz#429633 rhbz#429546 rhbz#373491 rhbz#373511 rhbz#373541 rhbz#373571 rhbz#429033

* Mon Jan 21 2008 Chris Feist <cfeist@redhat.com> - 2.0.79-1
- Dumping of debug logs from daemons has been improved
- Plock performance has been improved
- ccs_tool now returns the proper exit status
- ccs lookup functions now recognize alternative hostnames better
- ccs_connect now fails properly when a non-root user calls it
- Endian issues which caused problems on multi-arch clusters were fixed
- Possible NULL pointer dereferences in cman were fixed
- Quorum is now properly reduced when a node leaves using
  "cman_tool leave remove"
- Resolves: rhbz#317181 rhbz#359271 rhbz#404451 rhbz#249781 rhbz#323711 rhbz#289501 rhbz#418741 rhbz#267441 rhbz#271701

* Thu Jan 03 2008 Chris Feist <cfeist@redhat.com> - 2.0.75-1
- Potential NULL pointer dereferences were removed.
- Correctly reduce quorum when a node leaves using "cman_tool leave remove"
- Quorum is now recalculated when cman has the new nodes expected_votes.
- Updated cman_tool man page
- Resolves: rhbz#323931 rhbz#317561 rhbz#327721

* Wed Sep 19 2007 Chris Feist <cfeist@redhat.com> - 2.0.73-1
- Devices can now be up to 255 characters long (up from 16).
- Resolves: rhbz#294351

* Fri Aug 17 2007 Chris Feist <cfeist@redhat.com> - 2.0.72-1
- Cluster name is now remembered if specified on the command line.
- Resolves: rhbz#250688

* Wed Aug 15 2007 Chris Feist <cfeist@redhat.com> - 2.0.71-1
- A memory leak was fixed in fence_xvmd.
- fence_egenera script no longer will fence a node during a crash dump.
- Resolves: rhbz#251358 rhbz#250152

* Fri Jul 13 2007 Chris Feist <cfeist@redhat.com> - 2.0.70-1
- Resolves: rhbz#238106

* Tue Jun 26 2007 Chris Feist <cfeist@redhat.com> - 2.0.68-1
- Rebuilt for new openais package

* Tue Mar 20 2007 Chris Feist <cfeist@redhat.com> - 2.0.61-1 
- Fixes issue with fence_xvm programs using key data
- Resolves: rhbz#231241

* Fri Feb 23 2007 Chris Feist <cfeist@redhat.com> - 2.0.60-2 
- Added Obsoletes for ccs, fence & dlm
- Resolves: rhbz#229822

* Tue Jan 23 2007 Chris Feist <cfeist@redhat.com> - 2.0.60-1
- fence_tool now times out after 300 seconds
- Resolves: rhbz#222933

* Tue Jan 16 2007 Chris Feist <cfeist@redhat.com> - 2.0.59-1
- New upstream sources
- Resolves: rhbz#222744 rhbz#222838 rhbz#222686  

* Mon Jan 15 2007 Chris Feist <cfeist@redhat.com> - 2.0.58-1
- New upstream sources
- Resolves: rhbz#221629  

* Thu Dec 21 2006 Chris Feist <cfeist@redhat.com> - 2.0.57-1
- New upstream sources
- Resolves: rhbz#218560  

* Mon Dec 18 2006 Chris Feist <cfeist@redhat.com> - 2.0.56-1
- New upstream sources.
- Resolves: rhbz#218551

* Mon Dec 18 2006 Chris Feist <cfeist@redhat.com> - 2.0.55-1
- New upstream sources.
- Resolves: rhbz#216954 rhbz#219878

* Fri Dec 15 2006 Chris Feist <cfeist@redhat.com> - 2.0.52-1
- New upstream sources.
- Resolves: rhbz#217724

* Thu Dec 14 2006 Chris Feist <cfeist@redhat.com> - 2.0.51-1
- New upstream sources.
- Resolves: rhbz#218688 rhbz#219385

* Tue Dec 05 2006 Chris Feist <cfeist@redhat.com> - 2.0.49-1
- New upstream sources.
- Resolves: rhbz#216052 rhbz#215962

* Tue Dec 05 2006 Chris Feist <cfeist@redhat.com> - 2.0.46-1
- New upstream sources.
- Resolves: rhbz#214540 rhbz#218103

* Wed Nov 29 2006 Chris Feist <cfeist@redhat.com> - 2.0.44-1
- New upstream sources.
- Resolves: rhbz#213878 rhbz#216902 rhbz#213763 rhbz#217436
- Resolves: rhbz#217460 rhbz#211836 rhbz#211918

* Mon Nov 13 2006 Chris Feist <cfeist@redhat.com> - 2.0.38-1
- New upstream sources with fixes for fence_xvmd (bz #212474)

* Thu Nov 09 2006 Chris Feist <cfeist@redhat.com> - 2.0.35-2
- New upstream sources with join_timeout and consensus_timeout
  set to high defaults (bz #214290)

* Mon Nov 06 2006 Chris Feist <cfeist@redhat.com> - 2.0.34-1
- New upstream sources.

* Fri Nov 03 2006 Chris Feist <cfeist@redhat.com> - 2.0.33-2
- New upstream sources.

* Fri Oct 27 2006 Chris Feist <cfeist@redaht.com> - 2.0.30-3
- Create and own /etc/cluster (bz #212582)

* Wed Oct 25 2006 Chris Feist <cfeist@redhat.com> - 2.0.30-1
- New upstream sources.

* Mon Oct 23 2006 Chris Feist <cfeist@redhat.com> - 2.0.29-1
- New upstream sources.

* Wed Oct 18 2006 Chris Feist <cfeist@redhat.com> - 2.0.28-4
- Build without xen deps.

* Mon Oct 16 2006 Chris Feist <cfeist@redhat.com> - 2.0.28-1
- New upstream sources

* Fri Oct 13 2006 Chris Feist <cfeist@redhat.com> - 2.0.25-1
- New upstream sources

* Thu Oct 12 2006 Chris Feist <cfeist@redhat.com> - 2.0.23-2
- New upstream sources
- Fixed init scripts

* Tue Oct 10 2006 Chris Feist <cfeist@redhat.com> - 2.0.22-1
- New upstream sources

* Thu Oct 5 2006 Chris Feist <cfeist@redhat.com> - 2.0.21-1
- New upstream sources
- Build w/ xen deps for fence-xen

* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> - 2.0.18-2
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Mon Sep 25 2006 Chris Feist <cfeist@redhat.com> - 2.0.18-1
- New upstream sources

* Tue Sep 19 2006 Chris Feist <cfeist@redhat.com> - 2.0.17-1
- New upstream sources

* Mon Sep 18 2006 Chris Feist <cfeist@redhat.com> - 2.0.16-1
- New upstream sources

* Thu Sep 14 2006 Chris Feist <cfeist@redhat.com> - 2.0.15-1
- New upstream sources

* Wed Sep 13 2006 Peter Jones <pjones@redhat.com> - 2.0.14-4
- Don't activate the service by default, since it won't be configured

* Wed Sep 13 2006 Chris Feist <cfeist@redhat.com> - 2.0.14-2
- Rebuild w/ new upstream sources
- Remove libxml deps

* Thu Aug 31 2006 Chris Feist <cfeist@redhat.com> - 2.0.13-1
- Rebuild w/ new upstream sources

* Fri Aug 25 2006 Chris Feist <cfeist@redhat.com> - 2.0.12-1
- Rebuild w/ new upstream sources

* Tue Aug 22 2006 Chris Feist <cfeist@redhat.com> - 2.0.11-1
- Rebuild w/ new upstream sources

* Wed Aug 16 2006 Chris Feist <cfeist@redhat.com> - 2.0.10-1
- Rebuild w/ new upstream sources

* Tue Aug 15 2006 Chris Feist <cfeist@redhat.com> - 2.0.9-0
- Rebuild w/ new upstream sources

* Fri Aug 11 2006 Chris Feist <cfeist@redhat.com> - 2.0.8-0
- Rebuild w/ new upstream sources

* Thu Aug 10 2006 Chris Feist <cfeist@redhat.com> - 2.0.7-0
- Rebuild w/ new upstream sources

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com>
- rebuild

* Thu Jul 06 2006 Chris Feist <cfeist@redhat.com> - 2.0.1-0.fc6.0
- Rebuild w/ new upstream sources

* Wed Mar 01 2006 Chris Feist <cfeist@redhat.com> - 2.0.0-0.fc6.4
- Rebuilt w/ new upstream sources

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.4-0.FC5.1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 16 2005 Chris Feist <cfeist@redhat.com>
- Rebuilt w/ new upstream sources

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Jul 05 2005 Chris Feist <cfeist@redhat.com>
- Added libraries and cman-devel package

* Tue May 17 2005 Chris Feist <cfeist@redhat.com>
- Require cman-kernel-modules.

* Thu May 05 2005 Chris Feist <cfeist@redhat.com>
- Added patch to disable starting up the init scripts.

* Mon Dec 20 2004 Chris Feist <cfeist@redhat.com>
- Rebuild with new sources.

* Mon Dec 13 2004 Chris Feist <cfeist@redhat.com>
- Rebuild with new sources.

* Thu Nov 18 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Fri Oct 22 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Mon Aug 16 2004 Jon Brassow <jbrassow@redhat.com>
- update the requirements field

* Fri Aug 13 2004 Jon Brassow <jbrassow@redhat.com>
- various bug fixes (new upstream sources)
- add man pages

* Wed Jul 14 2004 Jon Brassow <jbrassow@redhat.com>
- build for i386 and x86_64 only

* Tue Jul 13 2004 Jon Brassow <jbrassow@redhat.com> 
- New upstream sources

* Thu Jun 17 2004 Jon Brassow <jbrassow@redhat.com> 
- Initial build.
